var historyVer1 = '3000703';

function isLowVer(ver) {
  var fileVer = projectObj.project.projectInfo.fileVer;
  return fileVer <= ver;
}

// 某种情况下，数据库会产生大量的billsItemID值为“-1”的脏数据，这些数据的金额会参与计算影响正确性，此方法是过滤这些脏数据。
function cleanDirtyData(nodeArr) {
  if (nodeArr.length === 0) return nodeArr;

  var rst = [];
  var node1 = nodeArr[0];
  if (node1.data && node1.data.type) {
    rst = nodeArr.filter((node) => node.data.billsItemID !== "-1");
  } else {
    rst = nodeArr.filter((node) => node.billsItemID !== "-1");
    // test: rst = nodeArr.filter((node) => parseFloat(node.quantity) < 10);
  }
  return rst;
}
